
/* Mise en place des polices */

@font-face { /* Mise en place des polices Roboto - Regular*/
    font-family: 'robotoregular';
    src: url('fonts/Roboto-Regular-webfont.eot');
    src: url('fonts/Roboto-Regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/Roboto-Regular-webfont.woff2') format('woff2'),
         url('fonts/Roboto-Regular-webfont.woff') format('woff'),
         url('fonts/Roboto-Regular-webfont.ttf') format('truetype'),
         url('fonts/Roboto-Regular-webfont.svg#robotoregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face { /* Mise en place des polices Roboto - Medium*/
    font-family: 'robotomedium';
    src: url('fonts/Roboto-Medium-webfont.eot');
    src: url('fonts/Roboto-Medium-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/Roboto-Medium-webfont.woff2') format('woff2'),
         url('fonts/Roboto-Medium-webfont.woff') format('woff'),
         url('fonts/Roboto-Medium-webfont.ttf') format('truetype'),
         url('fonts/Roboto-Medium-webfont.svg#robotomedium') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face { /* Mise en place des polices Roboto - Bold*/
    font-family:'robotobold';
    src: url('fonts/Roboto-Bold-webfont.eot');
    src: url('fonts/Roboto-Bold-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/Roboto-Bold-webfont.woff2') format('woff2'),
         url('fonts/Roboto-Bold-webfont.woff') format('woff'),
         url('fonts/Roboto-Bold-webfont.ttf') format('truetype'),
         url('fonts/Roboto-Bold-webfont.svg#robotobold') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face { /* Mise en place des polices Roboto - Black*/
    font-family:'robotoblack';
    src: url('fonts/Roboto-Black-webfont.eot');
    src: url('fonts/Roboto-Black-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/Roboto-Black-webfont.woff2') format('woff2'),
         url('fonts/Roboto-Black-webfont.woff') format('woff'),
         url('fonts/Roboto-Black-webfont.ttf') format('truetype'),
         url('fonts/Roboto-Black-webfont.svg#robotoblack') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'robotolight';
    src: url('fonts/Roboto-Light-webfont.eot');
    src: url('fonts/Roboto-Light-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/Roboto-Light-webfont.woff2') format('woff2'),
         url('fonts/Roboto-Light-webfont.woff') format('woff'),
         url('fonts/Roboto-Light-webfont.ttf') format('truetype'),
         url('fonts/Roboto-Light-webfont.svg#robotolight') format('svg');
    font-weight: normal;
   	font-style: normal;
}


/* -----------------------Ensemble HomePage------------------------------*/

body {
	margin:0 auto;

}

#conteneurhomepage { /* Base écran 13,3 */
	margin:0 auto;
	display:flex;
	flex-direction: column;
	width:100%;
	z-index:2;
}

/* ----------Header------------------*/

 .homepage header { 
	display:flex;
	flex-direction:row;
	justify-content: space-around;
	padding-top:5px;
	padding-bottom:5px;	
	background-color:white;
	position:fixed;
	width:100%;	
	top:0;
	z-index:3;
}


/*----- Menu Navigation------- */

.homepage ul { 
	display: flex;
	flex-direction:row;	
	padding:0;
	margin:0;
}

.homepage li { 
	list-style-type:none;
	padding:20px;
	font-family:'robotomedium';	
	text-align:center;
	color:black;
	margin-top:20px;
}

/*------Hover menu-------*/

.homepage li a:hover {
	border-top: 2px solid #55aecf;
	text-decoration:none;
	color:black;
	padding-top:10px;
}

.homepage li a {
	text-decoration: none;
	color:black;
}

.homepage li a:visited {
	text-decoration: none;
	color:black;
}

#logohomepage {
	height:40%;
	margin-top:20px;
	margin-bottom:20px;	
}

/*-------------- Section----------------- */


.halfcircleright {
	position:absolute;
	background-color:rgba(0,0,0,0.4);
	width:100px;
	height:100px;
	border-radius:50%;
	right:-60px;
}

.halfcircleleft {
	position:absolute;
	background-color:rgba(0,0,0,0.4);
	width:100px;
	height:100px;
	border-radius:50%;
	left:-60px;
	overflow: hidden;
}

.fa-chevron-right {
	color:#FFFFFF;
	font-size:1.4em;
	position:absolute;
	right:0;
	padding: 40px 65px;
}

.fa-chevron-left {
	color:#FFFFFF;
	font-size:1.4em;
	position:absolute;
	left:0;
	padding: 40px 65px;
}

.bar {
	width:100px;
	height:8px;
	background-color:#55aecf;
	position:absolute;
	left:0;bottom:0;
}


#imagebg1 { 
	display:flex;
	flex-direction:row;
	justify-content:center;
	align-items:center;
	background-image: url("images/bg1.jpg") ;
	background-size:cover;
	background-position:center;
	background-repeat:no-repeat;
	width:100%;
	position:relative;
	overflow:hidden;
}

#presentation { 
	position:absolute;
	top:30%; left:12%;
	flex-direction:column;
	color:#FFFFFF;
	font-size:medium;
	font-family:'robotobold';
	min-width:30%;
	max-width:40%;

}

#caption {
	text-transform:uppercase;
	font-size: xx-large;

}

#undercaption {
	font-family:'robotolight';
	margin-top:7px;
}

.turquoise {
	text-transform: uppercase;
	color: #55aecf;	
}

.fond {
	background-color: #55aecf;
	padding: 10px;
	font-size: small;
	margin-bottom: 400px;
	color:white;
}

.fond a:hover, .fond a:visited, .fond a:focus {
	color:white;
}

.fond a {
	text-decoration:none;
	border:none;
	color:white;
}

.spacer {
	margin:30px 0;
}



/* ----------------------------------- PAGE SERVICES -------------------------------- */


section .conteneurpagesservices { /*base écran 13,3 pouces */
    margin:auto;
    display:flex;
    flex-direction:column;
    width:100%;
    align-items: center;
    margin-top:40px;
    margin-bottom:40px;
    box-sizing: border-box;
}

.introservices { /*div Intro*/
    width:100%;
    font-family:'robotolight';
    margin-bottom:70px;
    text-align:center;
	}

/*----- Paragraph intro -------*/
.introservices p { 
	width:50%; 
	margin:0 auto;
	padding-top:40px;	
	}

.servicetop .conteneurpageservices {
    text-align:center;
    display:flex;
    flex-direction: column;
    align-items:center;
}


/*---- line-circle build up------*/
.servicetop .linecircle {
    position:relative;
    margin-bottom:30px;
    width:40%;
    margin-left:42%;
    margin-right:37%; 
}

.servicetop .line {
    border-top: solid 1px lightgrey;
    width:40%;
    z-index:1;
    top:10px;left:30px;   
}

.fa-circle {
	color:#55aecf;

}

.linecircle {
	position:relative;
}

.fa-circle.intro-services{
	position:absolute;
	z-index:2;
	text-align:center;
	left:18%;bottom:-12px;
	border:solid 4px white;
	border-radius:50%;
}

/*----- Section------ */
.servicetop h2 {
    text-align:center;
    font-family:'robotobold';
    text-transform: uppercase;
    padding-bottom:20px;
}

.conteneurpageservices article {
    display:flex;
    flex-direction:row;
    justify-content: center;
    padding:10px;
}


#portfolio { /*Base ecran 13,3*/
    width:40%;
    height:20%;
    margin-bottom: 100px;
    margin-right:20px;
    padding-right:20px;
}


#skills { /*Base ecran 13,3*/
    font-family:'robotolight';   
    padding-top: 60px;
    justify-content: space-between;
    padding-left:70px;
    width:45%;    
}

.paragraphe h3 { /* titres */
     font-family:'robotobold';
     margin-bottom:0px;
}


.paragraphe  p { 
    align-items:center;
    margin-top:0px;
	}


.conteneur  { /* placement et centrage des logos par raport au texte */
    display:flex;
    flex-direction:row;
    align-items: center; 
    position:relative;
   
}



.conteneur .logo .picto-circle {
    position:absolute;
    top:40%;
    right:20%;
    color:#55aecf;
    z-index:2;
    font-size:0.6em; 
}

.conteneur .logo {
    position:relative;
}


.conteneur .logo .iconborder {
    color:#55aecf;
    border: solid 2px lightgrey;
    border-radius:80%;
    padding: 15px;
    margin-right:18px;
    position:relative;
    z-index:1
}

hr { 
	width:60%;
	color:lightgrey; 
}

/* ----------------------------------- PAGE PROJETS -------------------------------- */


.conteneurprojets {
	background-color:#f5f5f5;
	margin:auto;
	box-sizing: border-box;
}

/*----Titre----*/

.projets h2 {
	text-transform: uppercase;
	font-family:'robotobold';
	text-align:center;
	padding-top:20px;
}

/*----Cercle icone----*/

.fa-circle.intro-projets {
	text-align:center;
	border:white 6px solid;
	border-radius:50%;
	padding: 0px 0px;
	position:absolute;
	left:49%;
}

/* ----- Paragraphe Intro-------- */

.introportfolio { 
	text-align:center;
	font-family:'robotolight';
	width:100%;
	margin-bottom:40px;
	}

.introportfolio p {
	width:50%;
	margin:0 auto;
	padding-top:50px;
}

.select-wrapper {
	display: flex;
	align-items: center;
	justify-content: center;
}

ul.select {
	font-family:'robotolight'; 
	margin: 0 auto;
	padding: 0;
	list-style-type: none;
	margin: 20px 0 40px 0;
}

ul.select li {
	background-color: #e5e5e5;
	position: relative;
	display: inline;
	padding: 10px;
}

ul.select li .fa-caret-down {
	position:absolute;
	bottom:-12px; left:49%;
	display: none;
}

ul.select li:hover .fa-caret-down, ul.select li.active .fa-caret-down {
	display: block;
	color:#408daa;
}

ul.select li:hover, ul.select li.active {
	border-bottom:#408daa 3px solid;
	color: white;
	font-weight: bold;
	background-color:#55aecf;
}


/* --------- Portoflio grid -------- */


section table {
	margin: 0 auto; /*--- Pour center le tableau ---*/
}

.portfolio {
	height:200px;
	padding:10px 10px;
	position:relative;
}

.grid {
  display: grid;
  grid-gap:0px 0px;
  grid-template-columns: repeat(4, 0fr);
  grid-template-rows: repeat(2, 230px);
  justify-content:center;
  width:100%;
 }

.image {
	position:relative;	
}

.image .portfolio{  /*---black square alignment----*/
	display:block;
}


.black { /*----fond noir ---*/
	width:300px;
	height:70px;
	background-color:rgba(0,0,0,0.4);
	position:absolute;
	z-index:2;
	left:0;bottom:0;
	margin-left:10px;
	margin-bottom:10px;
	display:none; /* not displaying the hover by default*/
}

.textportfolio {
	color:#FFFFFF;
	font-family:'robotolight'; 	
	font-size:0.8em;
	margin-left:10px;
	padding-left:5px;
	padding-top:4px;
	width: 70%;
}

.textportfolio h4 {
	font-family:'robotomedium';
	margin-bottom: 3px;
	font-size:1.2em;
	margin:0;
}

.eyeicon {
	background-color:#55aecf;
	border:white solid 3px;
	border-radius:50%;
	color:#FFFFFF;
	position:absolute;
	font-size:1.4em;
	padding:10px 13px;
	text-align:center;
	margin-top:-80px; /* set the icon at the right place */
	margin-left:230px;
}

.image:hover .black { /* to target all images in td and applied css to black*/
	display:block;
}


/* ----------------------------------- PAGE MAP -------------------------------- */

.pagemap {
	width:100%;
	height:100%;
	position:relative;
	margin-top:30px;
	margin-bottom:50px;
	background-color:#f5f5f5;
	box-sizing: border-box;
}

.googlemap {
	z-index:0;
	text-align:center;
}

.googlemap iframe {
	text-align:center;
	border:0;
	position: relative;
	z-index: 0;
	min-width:98%;
	max-width:99%;
}

.blue-layer {
	position: absolute;
	top: 0; bottom: 0; right: 0; left: 0; /*--coller la div partout--*/
	background: #55aecf;
	opacity: 0.3;
	z-index: 1;
}

input {
	width:95%;
	margin-bottom:15px;
}

form {
	position:absolute;
	z-index:1;
	top:50px;right:100px;
	background-color:rgba(255,255,255,0.8);
	border:solid 1px lightgrey;
	padding:10px 10px;
	font-family:'robotolight';
	width:330px;
	padding:20px;
	box-sizing: border-box;
}


form h4 {
	font-family:'robotomedium';
	font-size:1.4em;
	margin:0;
	margin-bottom:4px;
}

form h5 {
	font-family:'robotomedium';
	font-size:1em;
	margin-bottom:0px;
	margin-top:1px;
}

textarea {
	border:solid 1px lightgrey;
	font-family:'robotolight';
	font-size:0.75em;
	width:95%;
	height:200px;
}

#submit
{
	background-color:#55aecf;
	font-family:'robotomedium';
	color:#FFFFFF;
	width:150px;
	height:30px;
	border-bottom:solid 2px #3d95b7;
}

#submit p 
{
	padding-bottom:0.4px;
	text-align:center;
	font-size:0.8em;
	padding:4px;
}


footer .copyright
{
	font-family:'robotolight';
	text-align:center;
	color:#55aecf;
	font-size:1em;
	margin:0 auto;
	display:flex;
	flex-direction:column;
	position:relative;
}


footer .copyright p
{
	width:60%;
	margin-left:20%;
}

.menufooter 
{
	max-width:100%;
	margin:0 auto;
}

footer img 
{
	margin:0 auto;
	height:90px;
	opacity:0.5;	
}


 .allfooter
 {
 	position:relative;
 }




/*--------------Media queries------------*/


/*-----Media queries 717- SMARTPHONE ----------*/


@media screen and (max-width:350px) 
{

ul.select 
	{
	font-family:'robotolight';
	margin: 10px 0 20px 0;
	text-align: center;
	display:flex;
	flex-direction:column;
	}
}


@media screen and (max-width:767px) 
{
	/*---Section homepage--*/
	
	.homepage header 
	{
	display:flex;
	flex-direction:column; /* Set page in column */ 
	margin-top:10px;
	}

	#conteneurhomepage header {
	position:relative;
	}

	.homepage ul
	{
	display: flex;
	flex-direction:column;	/* Set menu in column */ 
	align-content:center;		
	}

	.homepage li 
	{
	padding:10px;
	}
	
	#logohomepage 
	{
	height:30%;
	margin:auto;
	margin-top:20px;
	}

	.halfcircleright , .halfcircleleft
	{
	width:90px;
	height:90px;
	}

	.fa-chevron-right , .fa-chevron-left 
	{
	font-size:1.2em;
	padding: 40px 65px;
	}

	#imagebg1 
	{
	background-position:center center;
	background-size:cover;
	width:100%;	
	height:300px;
	margin-top:30px;
	}

	#presentation 
	{
	top:6%;	
	min-width:20%;
	max-width:55%
	}

	#caption
	{
	font-size: 1.1em;
	text-align:start;
	align-items:center;
	}

	#undercaption 
	{
	font-size:0.9em;
	text-align:start;
	max-width:62%;
	}

	#infos 
	{
	font-size:0.9em;
	margin-top:0px;
	text-align:center;
	}

	.turquoise 
	{
	font-size:1.5em;
	}

	.logo
	{ 
	text-align:center;
	margin-left:15px;
	}

    /*---- Section Services -----*/
	
	.conteneurpageservices article
    {
    display:flex;
    flex-direction:column;
    align-items:center;
    }

  	.introservices {
	margin-bottom:40px;
	}

	.introservices p 
    {
    margin-bottom:5px;
    width:80%;
    }

	.servicetop .linecircle 
	{
    margin-bottom:10px;
	}

	.fa-circle.intro-services
	{
	left:15%;
	}

	#portfolio 
    {
    min-width:45%;
    max-width:50%;
    margin-bottom:10px;
    margin-right:10px;
    margin-top:10px;
    margin-left:20px;
    }

	#skills
    {   
    padding-top: 20px;
    padding-bottom:40px;
    padding-left:10px;
    padding-right:10px;
    width:80%;
    }

	.paragraphe p 
	{
    margin-top: 0px;
    text-align:center;
	}

  	.paragraphe h3
    {
    text-align:center;
    }

/*-----Section Projet----*/

    .conteneur 
    {
    flex-direction:column;
    justify-content:center;
    }

    .introportfolio p
    {
	width:80%;
	}

	.fa-circle.intro-projets  
	{
	left:48%;
	}

	.grid {
	grid-template-columns: repeat(1, 0fr);
	grid-template-rows: repeat(8, 230px);
	}	
	

/*--- Section contact----*/
	.pagemap 
	{
	display:flex;
	flex-direction:column;
	}

	.googlemap iframe
	{
	height:400px;
	}
 
	input 
	{
	width:80%;
	}

	form 
	{
	position:relative;
	left:2px;
	width:100%;
	margin-bottom:100px;
	}

	textarea 
	{
	height:90px;
	width:80%;
	}

	footer img 
	{
	max-width:100%;
	height:auto;
	}

	.menufooter a
	{
	padding:3px;
  	}
}


/*--------------------Tablettes---------------------------*/
@media all and (min-width:768px) and (max-width:1024px) 
{ 


/*---Section homepage--*/
	#imagebg1 
	{
	background-size:cover;
	background-position: top right -170px;
	width:100%;	
	height:500px;
	margin-top:80px;
	}

	#presentation 
	{
	top:14%; left:7%;	
	min-width:20%;
	max-width:40%
	}

/*--Section Projets---*/
	.grid 
	{
	grid-template-columns: repeat(2, 0fr);
	grid-template-rows: repeat(3, 230px);
	}

/*--section Contact---*/

	.googlemap iframe
	{
	height:700px; 
	}

	input 
	{
	width:100%;
	margin-bottom:15px;
	box-sizing: border-box;
	}

	form 
	{
	position:absolute;
	top:130px;right:20px;
	width:300px;

	}

	textarea 
	{
	width:255px;
	height:150px;
	}	
}

/*--desktop----*/
@media all and (min-width:1025px) and (max-width:1280px) 
{ 

/*---Section homepage--*/
	#imagebg1 
	{
	background-size:cover;
	background-position: top right -170px;
	width:100%;	
	height:500px;
	margin-top:80px;
	}


	#presentation 
	{
	top:20%; left:13%;	
	min-width:20%;
	max-width:40%
	}


/*---Section Portfolio--*/

	.portfolio 
	{
	height:160px;
	padding:5px 5px;
	}
 
	.grid 
	{
	grid-template-columns: repeat(4, 0fr);
	grid-template-rows: repeat(2, 170px);
	}



/*--fond noir --*/
	.black 
	{ 
	width:240px;
	height:83px;
	margin-left:5px;
	margin-bottom:5px;
	}

	.textportfolio 
	{
	font-size:0.7em;
	padding-top:10px;
	}

	.eyeicon 
	{
	margin-left:178px;
	}	
}


/*---------Middle to large screen-----------*/
@media all and (min-width:1281px)
{ 


/*---Section homepage--*/
	#imagebg1 
	{
	background-size:cover;
	background-position:center center;
	width:100%;	
	height:700px;
	margin-top:50px;
	}

	#presentation 
	{
	top:20%; left:16%;	
	min-width:30%;
	max-width:40%
	}
}


/*----Large screen--*/
@media all and (min-width:1825px)
{


/*---Section homepage--*/
	#imagebg1 
	{
	background-size:cover;
	background-position:center center;
	width:100%;	
	height:700px;
	margin-top:80px;
	}

	#presentation
 	{
	top:20%; left:16%;	
	min-width:30%;
	max-width:40%
	}

	#portfolio 
	{ 
    width:25%;
    height:20%;
	}

/*---Section contact--*/
	form 
	{
	position:absolute;
	top:130px;right:300px
	}

}



